赣州市洪水风险预警系统三维版本
guoshilong
2023-02-21 8a6a1f340e249ca4e253f52a99a46ef44e7f0f00
widgets/FloodAnalysis/css/style.css
@@ -138,6 +138,10 @@
    color: white;
}
.smx{
    margin-bottom: 1% !important;
}
/**水面线选择框**/
.smx-select{
    width: 260px;
@@ -149,7 +153,7 @@
.sw-input{
    width: 201px;
    height: 26px;
    margin-left: 9px !important;
    margin-left: 1px !important;
    border: 1px solid rgba(160, 160, 156, 1);
}
@@ -188,7 +192,7 @@
/**历史表格**/
.history-box-list{
    /*margin-left: 1%;*/
    height: calc(100% - 117px);
    height: calc(100% - 86px);
    top:3px;
    overflow-y: auto;
    background-color: #fff;
@@ -298,8 +302,23 @@
}
/**洪水淹没分析表格**/
#analysis-tab1-grid .dgrid-cell {
#analysis-tab1-grid .dgrid-cell_200 {
    width: 160px; /* force all columns to have SOME width */
    text-align: left;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
#analysis-tab1-grid .dgrid-cell_80 {
    width: 80px; /* force all columns to have SOME width */
    text-align: center;
}
#analysis-tab1-grid .dgrid-cell_60 {
    width: 60px; /* force all columns to have SOME width */
    text-align: center;
}
#analysis-tab1-grid .dgrid-cell_40 {
    width: 40px; /* force all columns to have SOME width */
    text-align: center;
}
#analysis-tab1-grid .field-col1 {
@@ -313,3 +332,106 @@
#history-tab2-grid .dgrid-cell {
    text-align: center;
}
/**进度条**/
.jimu-widget-FloodAnalysis .dong-progress {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    width: 500px;
    height: 0px;
    z-index: 33;
    background: rgba(59, 59, 59, 0.7);
}
.jimu-widget-FloodAnalysis .dong-progress h2 {
    margin: 10px 0;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    color: white;
}
.jimu-widget-FloodAnalysis .dong-progress .container {
    display: inline-block;
    width: 100%;
    height: 20px;
    padding-right: 10px;
    border: 1px solid #999;
    border-radius: 5px;
}
.jimu-widget-FloodAnalysis .dong-progress .container .h-100P {
    height: 100%;
}
.jimu-widget-FloodAnalysis .dong-progress .container .bar {
    display: inline-block;
    background: linear-gradient(to right, #ff4343, #48adff);
    color: white;
    font-weight: bold;
    padding: 0 5px;
    text-align: right;
    border-radius: 5px;
    border-right: 1px solid #999;
}
/**分析窗口**/
.evaluate-analysis{
    width: 465px;
    height: 808px;
    position: fixed;
    top: 10%;
    right: 0%;
    background: white;
    margin: 15px;
    border-radius: 4px;
    border: 1px solid white;
    z-index: 100;
}
.evaluate-title{
    height: 35px;
    line-height: 35px;
    font-weight: bold;
    font-size: 16px;
    box-shadow: 0px 1px 4px 0px rgb(0 0 0 / 40%);
    background-color: #32425d;
    color: white;
}
.evaluate-back-icon{
    background-image: url("../images/fold_up.png");
    width: 35px;
    height: 100%;
    position: relative;
    left: 88%;
}
.evaluate-lable{
    width: 70px;
    position: absolute;
    left: 2%;
}
.evaluate-box-top{
    height: 30%;
    width: 450px;
}
.evaluate-box-middle{
    height: 66%;
}
.evaluate-middle-first .column-1{
    display: flex;
}
.evaluate-middle-first .column-2{
    display: flex;
}